Subject: [Teep] What goes in claims vs TEEP protocol fields

From: Dave Thaler <[email-masked]>
Date: Fri, 16 Oct 2020 21:37:21 +0000

At IETF 108 I led a discussion about these, for which the minutes summarize:

#5 ...when have TA binary but need metadata
    Issues with passing in information
    Options
        a) attestation claims (what the doc says now)
        b) separate QueryResponse field
If no objections, Dave suggests (a), as it does not require any change to the current architecture doc. (No comments in the chat or queue)

#16 List of no-longer needed TAs
    How to remove TA. Does a TAM know that there are no apps calling in to a TA anymore. Should we support passing a list of TA that are no longer needed since only the TAM is able to clean up no longer needed TAs. Dave proposes (a) which is a change to the arch document, doing it via an attestations claims.

Options to support this scenario:
        a) attestation claims
        b) separate QueryResponse field
        c) do not support

No one objected to moving forward with (a): Hannes Tschoefenig, Russ Housley, Akira Tsukamoto and 大居 司 (Tsukasa Oi) indicated support.

Since there were “no comments in the chat or queue” as noted, the consensus was simply based on there being no
objection to my own proposal, which in turn was simply based on minimizing doc changes.  That decision was not based on
any real technical consideration. Now I believe there is a strong technical reason to go with (b) for both, and so I am proposing
changing to (b) in both the architecture and the protocol doc.  In the arch doc, this simply involves removal of text.   The
protocol doc doesn’t yet say (a) or (b) so needs changes either way but https://github.com/ietf-teep/teep-protocol/pull/47 proposes (b).

Rationale:
A new technical concern with (a) was raised based on the following text in section 8 of the arch draft:
In addition to the use of cryptographic algorithms in TEEP, there is
also the need to make use of different attestation technologies. A
device must provide techniques to inform a TAM about the attestation
technology it supports. For many deployment cases it is more likely
for the TAM to support one or more attestation techniques whereas the
device may only support one.

The concern is that:

1)     Requested components and Unneeded components are pieces of information that must be

consumed by the TAM (which is a Relying Party) rather than the Verifier, as shown in the

figure above the text we’re discussing.   Claims in evidence go to the Verifier not the TAM per se.

2)     AThe format and content of claims can vary by attestation technique (serialization format or protocol),

and such agility would require the protocol to be capable of supporting multiple techniques,

so just supporting such info in EAT claims alone is insufficient.

Thus, claims should be used for fields that are important to the Verifier, whereas
protocol fields should be used for information that is destined for the TAM and not important to the Verifier.

As such, I am generating text for both documents to change to (b) to adhere to the principle above.

Please speak up if you have any objections.

Dave